/*
 * File:   config.h
 * Author: Anthony McNicoll
 * Adapted from config.h by Tahmid Mahbub, mod 9/24/15
 */

#ifndef CONFIG_H
#define	CONFIG_H

#define _SURPRESS_PLIB_WARNING 1
#include "plib.h"

// serial stuff
#include <stdio.h>

// ----- CPU AND PERIPHERAL CLOCK SPEEDS ----- //
// Equation for clock speed:
// (8MHz Crystal/ FPLLIDIV) * (FPLLMUL / FPLLODIV)
// Shooting for 40 MHz, 40 MHz pbus here, 40 KHz SPI
#define sys_clock 40000000       // Calculate yourself
#define pb_clock  40000000       // Calculate yourself
#pragma config FNOSC = FRCPLL, POSCMOD = OFF
#pragma config FPLLIDIV = DIV_2, FPLLODIV = DIV_2, FPLLMUL = MUL_20

// FPBDIV is the divisor from system to peripheral bus clock.
#pragma config FPBDIV = DIV_1

// Haven't found these out yet (where are these bitfields documented?)
#pragma config FWDTEN = OFF, JTAGEN = OFF, FSOSCEN = OFF

//==============================================================
// Protothreads configure

// IF use_vref_debug IS defined, pin 25 is Vref output
// #define use_vref_debug

// IF use_uart_serial IS defined, pin 21 and pin 22 are used by the uart
#define use_uart_serial
#define BAUDRATE 115200 // must match PC terminal emulator setting

#endif	/* CONFIG_H */

